Bug 863277 - Ovirt SDK: Can't add correlation id to restore active and deactive HotPlugNic
Ovirt SDK: Can't add correlation id to restore active and deactive HotPlugNic
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.1.0
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Ori Liel
Yaniv Kaul
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-04 18:56 EDT by Avi Tal
Modified: 2016-04-22 00:59 EDT (History)
12 users (show)

See Also:
Fixed In Version: si21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:00:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine logs (1.28 MB, application/x-compressed-tar)
2012-10-05 01:50 EDT, Avi Tal
no flags Details

  None (edit)
Description Avi Tal 2012-10-04 18:56:09 EDT
Got the following ERRORS when try to active/deactive HotPlugNic

Active HotPlugNic ERROR:
TypeError: activate() got an unexpected keyword argument 'correlation_id'

Deactive HotPlugNic ERROR:
TypeError: deactivate() got an unexpected keyword argument 'correlation_id'
Comment 2 Avi Tal 2012-10-05 01:50:44 EDT
Created attachment 621941 [details]
engine logs
Comment 7 Ori Liel 2012-10-09 08:54:48 EDT
I successfully supply a correlation-ID to activate/deactivate VM nic using REST-API. Activation/deactivation succeeds, and the correlation-ID is displayed in the server log as expected. 

So this does not look like an API issue to me
Comment 8 Ori Liel 2012-10-15 05:54:40 EDT
More in-depth check shows that API does not report the meta-data properly, so while the API itself works, metadata doesn't reach the SDK, cause SDK not to work. 

Posted patch upstream: 
  http://gerrit.ovirt.org/#/c/8548/

QA: please notice that the same problem happens for activate/deactivate VM disks; this patch fixes that as well.
Comment 9 Ori Liel 2012-10-15 09:55:58 EDT
patch posted upstream:
   http://gerrit.ovirt.org/#/c/8548/

patch merged upstream: 
   commit 4f859b1bf173751c315582fdae68c321f2b3d278

patch posted downstream: 
   https://gerrit.eng.lab.tlv.redhat.com/#/c/2635/

patch merged downstream: 
   commit 0efdfeb6d91cc16c6b6b077ed4888554a194d55
Comment 10 Avi Tal 2012-10-21 12:41:17 EDT
Verify of si21.1 - PASS

Note You need to log in before you can comment on or make changes to this bug.